"""empty message

Revision ID: e72df4203310
Revises: c727cd529fcc
Create Date: 2022-01-23 20:11:01.783090

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'e72df4203310'
down_revision = 'c727cd529fcc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('attorneys_name_district_id_key',
                       'attorneys', type_='unique')
    op.drop_constraint('attorneys_district_id_fkey',
                       'attorneys', type_='foreignkey')
    op.drop_column('attorneys', 'district_id')
    op.drop_constraint('courtrooms_name_district_id_key',
                       'courtrooms', type_='unique')
    op.drop_constraint('courtrooms_district_id_fkey',
                       'courtrooms', type_='foreignkey')
    op.drop_column('courtrooms', 'district_id')
    op.drop_constraint(
        'defendants_first_name_middle_name_last_name_suffix_district_key', 'defendants', type_='unique')
    op.create_unique_constraint(None, 'defendants', [
                                'first_name', 'middle_name', 'last_name', 'suffix', 'potential_phones'])
    op.drop_constraint('defendants_district_id_fkey',
                       'defendants', type_='foreignkey')
    op.drop_column('defendants', 'district_id')
    op.drop_constraint('judges_name_district_id_key', 'judges', type_='unique')
    op.drop_constraint('judges_district_id_fkey', 'judges', type_='foreignkey')
    op.drop_column('judges', 'district_id')
    op.drop_constraint('plaintiffs_name_district_id_key',
                       'plaintiffs', type_='unique')
    op.drop_constraint('plaintiffs_district_id_fkey',
                       'plaintiffs', type_='foreignkey')
    op.drop_column('plaintiffs', 'district_id')
    op.drop_table('districts')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('plaintiffs', sa.Column(
        'district_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('plaintiffs_district_id_fkey',
                          'plaintiffs', 'districts', ['district_id'], ['id'])
    op.create_unique_constraint('plaintiffs_name_district_id_key', 'plaintiffs', [
                                'name', 'district_id'])
    op.add_column('judges', sa.Column('district_id', sa.INTEGER(),
                  autoincrement=False, nullable=False))
    op.create_foreign_key('judges_district_id_fkey',
                          'judges', 'districts', ['district_id'], ['id'])
    op.create_unique_constraint('judges_name_district_id_key', 'judges', [
                                'name', 'district_id'])
    op.add_column('defendants', sa.Column(
        'district_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('defendants_district_id_fkey',
                          'defendants', 'districts', ['district_id'], ['id'])
    op.drop_constraint(None, 'defendants', type_='unique')
    op.create_unique_constraint('defendants_first_name_middle_name_last_name_suffix_district_key', 'defendants', [
                                'first_name', 'middle_name', 'last_name', 'suffix', 'district_id', 'potential_phones'])
    op.add_column('courtrooms', sa.Column(
        'district_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('courtrooms_district_id_fkey',
                          'courtrooms', 'districts', ['district_id'], ['id'])
    op.create_unique_constraint('courtrooms_name_district_id_key', 'courtrooms', [
                                'name', 'district_id'])
    op.add_column('attorneys', sa.Column(
        'district_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('attorneys_district_id_fkey',
                          'attorneys', 'districts', ['district_id'], ['id'])
    op.create_unique_constraint('attorneys_name_district_id_key', 'attorneys', [
                                'name', 'district_id'])
    op.create_table('districts',
                    sa.Column('id', sa.INTEGER(),
                              autoincrement=True, nullable=False),
                    sa.Column('name', sa.VARCHAR(length=255),
                              autoincrement=False, nullable=False),
                    sa.Column('created_at', postgresql.TIMESTAMP(), server_default=sa.text(
                        'now()'), autoincrement=False, nullable=False),
                    sa.Column('updated_at', postgresql.TIMESTAMP(), server_default=sa.text(
                        'now()'), autoincrement=False, nullable=False),
                    sa.PrimaryKeyConstraint('id', name='districts_pkey'),
                    sa.UniqueConstraint('name', name='districts_name_key')
                    )
    # ### end Alembic commands ###
